Install Imagick to a CircleCI container

If you need Imagick for your WordPress test suite, you might run into a cryptic Exited with code 141 error:

Fortunately, you can ignore this error! Simply append || true to your install statement. In total, your Imagick incantations will look like this:

sudo apt-get update
sudo apt-get install -y libmagickwand-dev --no-install-recommends
yes '' | sudo pecl install imagick || true
sudo docker-php-ext-enable imagick

Tada!

Leave a Reply